#ifndef VDE_MODELO3D_H
#define VDE_MODELO3D_H


namespace VDE
{


struct Caja
{
   double  x0, y0, z0 ,
           x1, y1, z1 ; 
} ;

class Modelo3D
{
   public:
   
   virtual Caja LeerCajaEnglobante() = 0 ;
   virtual void Dibujar() = 0 ;
   virtual void SetLights() = 0  ;
   virtual void CallBackDesocupado() = 0 ;
   virtual void KeyPressEvent(unsigned char ch) = 0 ;
} ;

} // namespace VDE

#endif  // ifndef VDE_MODELO3D_H
